GET /v1/accounts

Scope: accounts:read

Query parameters

  • page integer(int32) Deprecated

    Index of the requested page. Deprecated, use page_token instead.

    Minimum value is 1.

  • page_token string

    Token used to fetch a specific page, as returned by the next_page_token or prev_page_token field of a previous response. Mutually exclusive with page.

  • size integer(int32)

    Number of elements per page in response.

    Minimum value is 1, maximum value is 100. Default value is 10.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • results array[object] Required

      Elements of the page.

      Hide results attributes Show results attributes object
      • id string(uuid) Required

        ID of the account.

      • name string Required

        Name of the account, as seen in the Memo Bank interface.

      • status string Required

        Status of the account.

        Values are active or closed.

      • balance integer(int64) Required

        Balance of the account, in cents. It represents the available money on the account at the time of the request. Note that authorized overdrafts are not included in the balance.

      • currency string Required

        Currency of the account balance, in ISO 4217 format.

      • iban string Required

        Main IBAN of the account.

      • type string Required

        Type of the account.

        Values are current_account, ring_fenced_account, ring_fenced_credit_servicer_account, settlement_account, specially_dedicated_account, trust_account, meal_voucher_account, booster_account, dedicated_liquidity_account, dedicated_recovery_account, or line_item_sub_account.

      • is_main boolean Required

        Flag indicating if this account is the main account of your workspace.

    • has_prev boolean Required Deprecated

      Flag indicating if there is a previous page. Deprecated, use prev_page_token instead.

    • has_next boolean Required Deprecated

      Flag indicating if there is a next page. Deprecated, use next_page_token instead.

    • next_page_token string | null

      Token to fetch the next page, to be passed in subsequent requests as the page_token query parameter. null when there is no next page.

    • prev_page_token string | null

      Token to fetch the previous page, to be passed in subsequent requests as the page_token query parameter. null when there is no previous page.

GET /v1/accounts
curl \
 --request GET 'https://api.memo.bank/v1/accounts'
Response examples (200)
{
  "results": [
    {
      "id": "db2b50c0-a943-4eb1-a69f-fa37f112daa8",
      "name": "Main account",
      "status": "active",
      "balance": 42,
      "currency": "EUR",
      "iban": "FR7617338000017498690379033",
      "type": "current_account",
      "is_main": true
    }
  ],
  "has_prev": true,
  "has_next": true,
  "next_page_token": "eyJwIjozfQ",
  "prev_page_token": "eyJwIjoxfQ"
}